#!/usr/bin/env bash
#
# INTEL CONFIDENTIAL
# Copyright(c) 2011-2019 Intel Corporation. All rights reserved.
#
# The source code contained or described herein and all documents related to
# the source code ("Material") are owned by Intel Corporation or its suppliers
# or licensors. Title to the Material remains with Intel Corporation or its
# suppliers and licensors. The Material contains trade secrets and proprietary
# and confidential information of Intel or its suppliers and licensors. The
# Material is protected by worldwide copyright and trade secret laws and treaty
# provisions. No part of the Material may be used, copied, reproduced, modified,
# published, uploaded, posted, transmitted, distributed, or disclosed in any
# way without Intel's prior express written permission.
#
# No license under any patent, copyright, trade secret or other intellectual
# property right is granted to or conferred upon you by disclosure or delivery
# of the Materials, either expressly, by implication, inducement, estoppel or
# otherwise. Any license under such intellectual property rights must be
# express and approved by Intel(R) in writing.
#

if test $(id -u) -ne 0; then
    echo "Root privilege is required."
    exit 1
fi

if [ -c /dev/sgx_provision -o -c /dev/sgx/provision ]; then
    getent group sgx_prv &> /dev/null
    if [ "$?" != "0" ]; then
        # Add sgx_prv for dcap driver, which ensures that no matter what
        # the order of package installation, aesmd can have access to
        # the sgx_provision device file.
        groupadd sgx_prv

        if ! which udevadm &> /dev/null; then
            exit 0
        fi
        udevadm control --reload || :
        udevadm trigger || :
    fi
    usermod -aG sgx_prv qgsd &> /dev/null

    # For systemd which supports https://github.com/systemd/systemd/pull/18944/files
    if [ "sgx" = "$(stat -c '%G' /dev/sgx_enclave 2>/dev/null)" ]; then
        usermod -aG sgx qgsd &> /dev/null
    fi
fi

/usr/sbin/modprobe vhost-vsock &> /dev/null
/usr/sbin/modprobe vsock_loopback &> /dev/null

echo
