#!/usr/bin/env bash
#
# INTEL CONFIDENTIAL
# Copyright(c) 2011-2019 Intel Corporation. All rights reserved.
#
# The source code contained or described herein and all documents related to
# the source code ("Material") are owned by Intel Corporation or its suppliers
# or licensors. Title to the Material remains with Intel Corporation or its
# suppliers and licensors. The Material contains trade secrets and proprietary
# and confidential information of Intel or its suppliers and licensors. The
# Material is protected by worldwide copyright and trade secret laws and treaty
# provisions. No part of the Material may be used, copied, reproduced, modified,
# published, uploaded, posted, transmitted, distributed, or disclosed in any
# way without Intel's prior express written permission.
#
# No license under any patent, copyright, trade secret or other intellectual
# property right is granted to or conferred upon you by disclosure or delivery
# of the Materials, either expressly, by implication, inducement, estoppel or
# otherwise. Any license under such intellectual property rights must be
# express and approved by Intel(R) in writing.
#


set -e 

if test $(id -u) -ne 0; then
    echo "Root privilege is required."
    exit 1
fi


# Create user and group if not exist
id -u qgsd &> /dev/null || \
    /usr/sbin/useradd -r -U -c "User for qgsd" \
    -d /var/opt/qgsd -s /sbin/nologin qgsd


# Start the AESMD service
if [ -d /run/systemd/system ]; then
    systemctl enable qgsd
    systemctl start qgsd 
elif [ -d /etc/init/ ]; then
    /sbin/initctl reload-configuration
    /sbin/initctl start qgsd
fi

exit 0
